## Edit additional audio tracks on a video `client.stream.audioTracks.edit(stringidentifier, stringaudioIdentifier, AudioTrackEditParamsparams, RequestOptionsoptions?): Audio` **patch** `/accounts/{account_id}/stream/{identifier}/audio/{audio_identifier}` Edits additional audio tracks on a video. Editing the default status of an audio track to `true` will mark all other audio tracks on the video default status to `false`. ### Parameters - `identifier: string` A Cloudflare-generated unique identifier for a media item. - `audioIdentifier: string` The unique identifier for an additional audio track. - `params: AudioTrackEditParams` - `account_id: string` Path param: The account identifier tag. - `_default?: boolean` Body param: Denotes whether the audio track will be played by default in a player. - `label?: string` Body param: A string to uniquely identify the track amongst other audio track labels for the specified video. ### Returns - `Audio` - `default?: boolean` Denotes whether the audio track will be played by default in a player. - `label?: string` A string to uniquely identify the track amongst other audio track labels for the specified video. - `status?: "queued" | "ready" | "error"` Specifies the processing status of the video. - `"queued"` - `"ready"` - `"error"` - `uid?: string` A Cloudflare-generated unique identifier for a media item. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const audio = await client.stream.audioTracks.edit( 'ea95132c15732412d22c1476fa83f27a', 'ea95132c15732412d22c1476fa83f27a', { account_id: '023e105f4ecef8ad9ca31a8372d0c353' }, ); console.log(audio.uid); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "default": true, "label": "director commentary", "status": "queued", "uid": "ea95132c15732412d22c1476fa83f27a" } } ```